Announcement

Collapse
No announcement yet.

attachment.php completely broken in 2.3.1 [critical]

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • attachment.php completely broken in 2.3.1 [critical]

    The "GMT" bug I reported before was fixed in 2.3.1 (thanks), however there's a new, more significant problem. If you look at the source code to attachment.php, you'll see that for some reason it starts with these two lines:

    <<<<<<< attachment.php
    =======

    and at the end of the file, there's this:

    ?>>>>>>>> 1.61

    These lines are output to the browser when an attachment.php link is clicked, which results in an error like this:

    <<<<<<< attachment.php =======
    Warning: Cannot modify header information - headers already sent

  • #2
    Mine is probably related.

    All attachments are broken now. I'm going to try and revert to old attachment.php to see if that works.

    Comment


    • #3
      Originally posted by Jwoodall
      Mine is probably related.

      All attachments are broken now. I'm going to try and revert to old attachment.php to see if that works.
      No need to revert, just remove the two lines at the top of the file I mentioned above, and change the last line to "?>".

      Comment


      • #4
        You rock.

        Thanks.

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X